
QGIS Application - Bug report #13571

data defined size assistant displays different size in legend vs canvas

2015-10-12 02:47 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee: Vincent Mora

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21613

Description

Hi, 

size assistant used for points generates legend size different from map size. 

Correct size seems to be the one in the legend

Associated revisions

Revision 701d9708 - 2015-12-04 12:45 AM - Vincent Mora

fix wrong scale method with constant expressions

fix #13571

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#2 - 2015-11-09 12:48 AM - Vincent Mora

- File issue13571.png added

Hi Regis, can you plz provide more details on how to reproduce. I attached the result of my attempt, and everything looks fine.

#3 - 2015-12-02 02:21 AM - Regis Haubourg

Hi, 

easy in fact:

- test a point layer with a fixed symbol size to 24 for instance

- then replace size by an expression set to a constant of 24.

you have a far smaller icon with expression. I guess we have the old scaling area method still applying to any expression output

#4 - 2015-12-02 06:18 AM - Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

PR is here https://github.com/qgis/QGIS/pull/2528
https://github.com/qgis/QGIS/pull/2528


Thanks.

#5 - 2015-12-03 03:47 PM - Vincent Mora

- Status changed from Open to Closed

Fixed in changeset commit:"701d970862172b24ec1086d8f2c517a8992f2666".

#6 - 2015-12-09 01:49 AM - Regis Haubourg

Hi, I would be very thanksfull if a backport to 2.12 could be done. (christmas is coming...)

We financed this since 2.8 and that feature is ruined without this fix..
